# Catalog
The `catalog` object represents the product catalog in the store, including products, categories, filters, and SEO information.
## Usage Example
```liquid
{%- comment -%} Show catalog product count and list products {%- endcomment -%}
Showing {{ catalog.products_count }} of {{ catalog.all_products_count }} products
{% for product in catalog.products %}
-
{{ product.title }}
{% if product.price %}- {{ product.price | money_with_currency }}{% endif %}
{% endfor %}
{%- comment -%} Show active filters {%- endcomment -%}
{% if catalog.active_filters %}
Active filters:
{% for filter in catalog.active_filters %}
- {{ filter.title }}: {{ filter.value }}
{% endfor %}
{% endif %}
```
## Properties
### active_filters
Returns the active [filters](/reference/liquid/objects/store/filter/) for the catalog, or null if none is set.
### all_products_count
Returns the total amount of products in the store.
### categories
Returns the product groups in the catalog.
### default_sort_by
Returns the default property this catalog's products are sorted by.
### filters
Returns the available [filters](/reference/liquid/objects/store/filter/) for the catalog, or null if none is set.
### products
Lists the catalog [products](/reference/liquid/objects/store/product/).
### products_count
Returns the amount of products in the catalog that are currently viewed. Filtering will affect this value.
### seo_description
Returns description for search engines.
### seo_keywords
Returns keywords for search engines.
### seo_title
Returns title for search engines.
### sort_by
Returns the property this catalog's products are currently sorted by.
### sort_by_param
Returns the query parameter name for sorting property.
### sort_options
Returns possible sort options for the catalog.